-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt

local M = {}
M.type = "auxiliary"
M.relevantDevice = "engine"

local throttleSet = nil

local function updateGFX(dt)
	if electrics.values['ignition'] == true then
	electrics.values['ePTOThrottle'] = 1
	else
	electrics.values['ePTOThrottle'] = 0
	end
end

local function serialize()

end

local function deserialize(data)

end

local function init(jbeamData)
end

local function initLastStage(jbeamData)

end

M.init = init
M.initLastStage = initLastStage
M.updateGFX = updateGFX
M.serialize = serialize
M.deserialize = deserialize

return M
